Bug 639463 - qt-devel contains residues from patch run
qt-devel contains residues from patch run
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-01 15:55 EDT by Göran Uddeborg
Modified: 2010-10-18 12:09 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-18 12:09:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2010-10-01 15:55:58 EDT
Description of problem:
The qt-devel package contains files ending in ".orig".  I assume it is traces
of applying a patch somewhere in the build process.  But they hardly belong in
the released package.

Version-Release number of selected component (if applicable):
qt-devel-4.7.0-3.fc14.x86_64

Steps to Reproduce:
1.rpm -ql qt-devel | grep \\.orig\$

Actual results:
/usr/lib64/qt4/mkspecs/linux-g++-32/qmake.conf.orig
/usr/lib64/qt4/mkspecs/linux-g++-64/qmake.conf.orig
/usr/lib64/qt4/mkspecs/linux-g++/qmake.conf.orig

Expected results:
No output at all

Additional info:
A corresponding problem exists in the qt3-devel package, see bug 639459.
Comment 1 Rex Dieter 2010-10-18 12:09:39 EDT
fixed in git

%changelog
* Mon Oct 18 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.7.0-7
- qt-devel contains residues from patch run (#639463)

Note You need to log in before you can comment on or make changes to this bug.